List Inventory

List the current inventory levels for a particular SKU item.

Required scope | ecommerce:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sku_collection_idstringRequiredformat: "objectid"
Unique identifier for a SKU collection. Use the List Collections API to find this ID.
sku_idstringRequiredformat: "objectid"
Unique identifier for a SKU

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for a SKU item
quantitydouble

Total quantity of items remaining in inventory (if inventoryType is finite)

inventoryTypeenum
infinite or finite
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error